<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:java="http://xml.apache.org/xslt/java" xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
	xmlns:gslib="http://www.greenstone.org/skinning"
	xmlns:gsf="http://www.greenstone.org/greenstone3/schema/ConfigFormat" extension-element-prefixes="java util"
	exclude-result-prefixes="java util gsf">

	<!-- <xsl:template name="documentNodeAudio">
		<div>
			<audio id="audioPlayer" controls="controls">
				<xsl:attribute name="src">
					<xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/<gsf:metadata name="Source"/>
				</xsl:attribute>
				Your browser does not support the audio element.
			</audio>
		</div>
		Download: <gsf:link type="source"><gsf:metadata name="Source"/></gsf:link>
	</xsl:template> -->

	<xsl:template name="documentNodeAudio">

		<!-- <script type="text/javascript">
			<xsl:text disable-output-escaping="yes">
				$(document).ready(function() {
					loadAudio('</xsl:text><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/<gsf:metadata name="Source"/><xsl:text disable-output-escaping="yes">',
					'</xsl:text>interfaces/{$interface_name}/images/Te_Kakano_C9B.csv<xsl:text disable-output-escaping="yes">');
				})
			</xsl:text>
		</script> -->

		<script type="text/javascript">
			<xsl:text disable-output-escaping="yes">
				$(document).ready(function() {
					loadAudio('</xsl:text><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/<gsf:metadata name="Source"/><xsl:text disable-output-escaping="yes">',
					'</xsl:text><xsl:value-of select="$httpPath"/>/index/assoc/<gsf:metadata name="assocfilepath" pos="1"/>/speaker-diarization.csv<xsl:text disable-output-escaping="yes">');
				})
			</xsl:text>
		</script>

		<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="https://unpkg.com/wavesurfer.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.regions.min.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.timeline.min.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="https://unpkg.com/wavesurfer.js/dist/plugin/wavesurfer.cursor.min.js"><xsl:text> </xsl:text></script>
		<script type="text/javascript" src="https://d3js.org/colorbrewer.v1.min.js"><xsl:text> </xsl:text></script>

        <div id="audioContainer">
            <div id="waveform"><text></text></div>
            <div id="wave-timeline"><text></text></div>
            <div id="toolbar">
                <div class="flex-leftalign toolbar-section">
                    <img src="interfaces/{$interface_name}/images/bootstrap/zoom-out.svg" id="zoomIcon" class="noHover" />
                    <input type="range" min="1" max="100" value="25" id="slider" />
                    <img src="interfaces/{$interface_name}/images/bootstrap/zoom-in.svg" id="zoomIcon" class="noHover" />
                </div>
				<div class="flex-centeralign toolbar-section">
					<img src="interfaces/{$interface_name}/images/bootstrap/back.svg" id="backButton" />
					<img src="interfaces/{$interface_name}/images/bootstrap/play.svg" id="playPauseButton" />
					<img src="interfaces/{$interface_name}/images/bootstrap/forward.svg" id="forwardButton" />
				</div>
				<div class="flex-rightalign toolbar-section">
					<img src="interfaces/{$interface_name}/images/bootstrap/chapters.svg" id="chapterButton" />
					<img src="interfaces/{$interface_name}/images/bootstrap/unmute.svg" id="muteButton" />
				</div>
            </div>
            <div id="chapters"></div>
        </div>
		<!-- Download: <gsf:link type="source"><gsf:metadata name="Source"/></gsf:link> -->
		

	</xsl:template>

	<xsl:template name="documentNodeText">
	  <xsl:param name="force">0</xsl:param>
		<!-- Hides the "This document has no text." message -->
		<xsl:variable name="noText"><gsf:metadata name="NoText"/></xsl:variable>
		<xsl:choose>
		<xsl:when test="$force = '1' or not($noText = '1')">

			<!-- Section text -->
			<xsl:for-each select="nodeContent">
			  <xsl:call-template name="displayMarkedUpTextAndAnnotations"/>
			</xsl:for-each>
		</xsl:when>
		<xsl:when test="$noText = '1' and not(metadataList/metadata[@name='ImageType'])">
			<xsl:call-template name="documentNodeAudio"/>
		</xsl:when>
		</xsl:choose>
		<xsl:text> </xsl:text>
	</xsl:template>

	<xsl:template name="documentHeading">
		<span style="font-weight:bold; font-size: 120%;">
			<xsl:call-template name="choose-title" />
		</span>
		<table id="tapeDetails">
			<gsf:switch>
				<gsf:metadata name='Notes' />
				<gsf:when test='exists'>
					<tr><td id="fCol">Notes:</td><td><gsf:metadata name="Notes" highlight="highlight" /></td></tr>
				</gsf:when>
			</gsf:switch>
			<gsf:switch>
				<gsf:metadata name='TapeLabel' />
				<gsf:when test='exists'>
					<tr><td id="fCol">Tape Label:</td><td><gsf:metadata name="TapeLabel" highlight="highlight" /></td></tr>
				</gsf:when>
			</gsf:switch>
			<gsf:switch>
				<gsf:metadata name='CardNotes' />
				<gsf:when test='exists'>
					<tr><td id="fCol">Card Notes:</td><td><gsf:metadata name="CardNotes" highlight="highlight" /></td></tr>
				</gsf:when>
			</gsf:switch>
			<gsf:switch>
				<gsf:metadata name='IsMicroCassette' />
				<gsf:when test='equals' test-value='y'>
					<tr><td id="fCol">Microcassette?</td><td>Yes</td></tr>
				</gsf:when>
			</gsf:switch>
		</table>

		<gsf:variable name="audioSource"><gsf:metadata name="Source"/></gsf:variable>
		<!-- <audio controls src="Coronation_A.wav" type="audio/wav">
			Your browser does not support the audio element.
		</audio> -->

	</xsl:template>

</xsl:stylesheet>